LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 12-19-2003, 06:03 PM   #1
smith847be
Member
 
Registered: Jun 2003
Location: Hanover, New Hampshire, USA
Distribution: Debian Sid (Unstable)
Posts: 143

Rep: Reputation: 15
apt-get dependency problems with libqt3c102-mt


I wanted to get the most recent version of KDE, so I followed the instructions on kde.org for debian and added this line to my source.list:

deb http://download.kde.org/stable/3.1.4/Debian stable main

There have been several packages that I've tried to install and give me the same seemingly unbreakable dependency problem. Among these packages are kdeaddons, k3b, arson, qtella, kdeedu, krusader, and many other KDE-based packages. They all have the same problem in that I apparently need libqt3c102-mt (I only have libqt3-mt), but in order to install libqt3c102-mt, apt-get says that I need to remove most of my already existing KDE packages. I use Debian's Sarge testing distribution as my default, but I've tried this with -t stable and -t unstable as well, to no avail. Here is the exact command and message for k3b with defaults, for example:

/home/smith847be# apt-get install k3b

Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
atlantik cdrdao gphoto2 imlib11 kamera karm kasteroids katomic kbackgammon
kbattleship kblackbox kbounce kcoloredit kcron kdat kdeadmin-kfile-plugins
kdeartwork-style kdeartwork-theme-window kdegraphics-kfile-plugins
kdelibs-bin kdelibs-data kdelibs4 kdepim-libs kdvi kenolaba kfax kfouleggs
kghostview kiconedit kjumpingcube klickety klines kmahjongg kmines kmrml
knotes kolf konquest kooka kpackage kpaint kpat kpilot kpoker kpovmodeler
kreversi kruler ksame kscreensaver kshisen ksirtet ksmiletris ksnake
ksnapshot ksokoban kspaceduel ksysv ktron ktuberling kuickshow kuser kview
kviewshell kwin4 kxconfig libarts1 libgphoto2-2 libgphoto2-port0
libieee1284-3 libk3bcore1 libkdegames1 libkscan1 libqt3c102-mt libsane
libvorbis0a libvorbisenc2 libvorbisfile3 lskat megami quanta secpolicy
Suggested packages:
monopd atlantikdesigner gtkam imlib-progs k3b-i18n gnubg korganizer
libqt3c102-mt-mysql libsane-extras
Recommended packages:
kdebase-libs gnubg sane-utils phpdoc
The following packages will be REMOVED:
freeamp kappfinder kate kcmlinuz kcontrol kdeadmin kdebase kdebase-bin
kdebase-kio-plugins kdeprint kdesktop kdm kfind khelpcenter kicker klipper
kmenuedit kmix konqueror konqueror-nsplugins konsole kpager kpersonalizer
ksmserver ksplash ksysguard ktip kwin libkonq4 libqt3-mt libvorbis0
The following NEW packages will be installed:
cdrdao imlib11 k3b libgphoto2-2 libgphoto2-port0 libieee1284-3 libk3bcore1
libqt3c102-mt libvorbis0a libvorbisenc2 libvorbisfile3
The following packages will be upgraded
atlantik gphoto2 kamera karm kasteroids katomic kbackgammon kbattleship
kblackbox kbounce kcoloredit kcron kdat kdeadmin-kfile-plugins
kdeartwork-style kdeartwork-theme-window kdegraphics-kfile-plugins
kdelibs-bin kdelibs-data kdelibs4 kdepim-libs kdvi kenolaba kfax kfouleggs
kghostview kiconedit kjumpingcube klickety klines kmahjongg kmines kmrml
knotes kolf konquest kooka kpackage kpaint kpat kpilot kpoker kpovmodeler
kreversi kruler ksame kscreensaver kshisen ksirtet ksmiletris ksnake
ksnapshot ksokoban kspaceduel ksysv ktron ktuberling kuickshow kuser kview
kviewshell kwin4 kxconfig libarts1 libkdegames1 libkscan1 libsane lskat
megami quanta secpolicy
71 upgraded, 11 newly installed, 31 to remove and 130 not upgraded.
1 not fully installed or removed.
Need to get 23.2MB/41.3MB of archives.
After unpacking 31.3MB disk space will be freed.
Do you want to continue? [Y/n]

---Also, here it is for just trying to install libqt3c102-mt:---

/home/smith847be# apt-get install libqt3c102-mt

Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
gphoto2 imlib11 kdelibs-data libgphoto2-2 libgphoto2-port0 libieee1284-3
libsane
Suggested packages:
gtkam imlib-progs libqt3c102-mt-mysql libsane-extras
Recommended packages:
sane-utils
The following packages will be REMOVED:
atlantik kamera kappfinder karm kasteroids kate katomic kbackgammon
kbattleship kblackbox kbounce kcmlinuz kcoloredit kcontrol kcron kdat
kdeadmin kdeadmin-kfile-plugins kdeartwork kdeartwork-style
kdeartwork-theme-window kdebase kdebase-bin kdebase-kio-plugins kdegames
kdegraphics kdegraphics-kfile-plugins kdelibs-bin kdelibs4 kdepim-libs
kdeprint kdesktop kdm kdvi kenolaba kfax kfind kfouleggs kghostview
khelpcenter kicker kiconedit kjumpingcube klickety klines klipper kmahjongg
kmenuedit kmines kmix kmrml knotes kolf konqueror konqueror-nsplugins
konquest konsole kooka kpackage kpager kpaint kpat kpersonalizer kpilot
kpoker kpovmodeler kreversi kruler ksame kscreensaver kshisen ksirtet
ksmiletris ksmserver ksnake ksnapshot ksokoban kspaceduel ksplash ksysguard
ksysv ktip ktron ktuberling kuickshow kuser kview kviewshell kwin kwin4
kxconfig libarts1 libkdegames1 libkonq4 libkscan1 libqt3-mt lskat megami
quanta secpolicy
The following NEW packages will be installed:
imlib11 libgphoto2-2 libgphoto2-port0 libieee1284-3 libqt3c102-mt
The following packages will be upgraded
gphoto2 kdelibs-data libsane
3 upgraded, 5 newly installed, 100 to remove and 127 not upgraded.
1 not fully installed or removed.
Need to get 3209kB/11.2MB of archives.
After unpacking 116MB disk space will be freed.
Do you want to continue? [Y/n]

In the apt-get install k3b, there is less to be removed, but I still see kcontrol, kdeprint, kdm, kdebase, and other packages that I thought were essential for KDE to run, so I'm VERY hesitant about running this. If anyone can tell me otherwise, or maybe how to get around this in other ways (e.g. would installing qt from the sources at Trolltech.com work?), it would be very helpful. Thank you in advance.

Last edited by smith847be; 12-22-2003 at 11:56 AM.
 
Old 01-01-2004, 04:58 PM   #2
smith847be
Member
 
Registered: Jun 2003
Location: Hanover, New Hampshire, USA
Distribution: Debian Sid (Unstable)
Posts: 143

Original Poster
Rep: Reputation: 15
okay, on my latest 'apt-get update', the problems were mostly fixed (I just had a few non-essential programs to be removed). So it works now.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get dependency problem (with skype) eantoranz Linux - Software 7 02-16-2006 07:26 PM
Dependency error in apt-get. How to solve? kushalkoolwal Debian 2 11-28-2005 12:36 PM
apt-get dependency problems with alternative package Frits of waterplant Debian 3 06-01-2005 04:45 PM
gimp2.0/apt-get dependency weirdness edwardOG Debian 3 05-04-2004 03:07 PM
apt-get Created Dependency Hell!! Shinobi Linux - Software 6 04-07-2003 11:35 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 08:41 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration